streamWrapper::mkdir
streamWrapper::rmdir
streamWrapper
PHP Manual

# streamWrapper::rename

(PHP 5)

streamWrapper::rename — Renames a file or directory

### Description

public bool streamWrapper::rename ( string `$path_from` , string `$path_to` )

This method is called in response to rename().

Should attempt to rename `path_from` to `path_to`

> Note: In order for the appropriate error message to be returned this method should not be defined if the wrapper does not support renaming files.

### Parameters

`path_from`

  The URL to the current file.

`path_to`

  The URL which the `path_from` should be renamed to.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Errors/Exceptions

Emits `E_WARNING` if call to this method fails (i.e. not implemented).

### Notes

> Note: The streamWrapper->context property is updated if a valid context is passed to the caller function.

### See Also

- rename() - Renames a file or directory

streamWrapper::mkdir
streamWrapper::rmdir
streamWrapper
PHP Manual